> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve stored media

> Returns the information about a stored media file.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/media-storage.yml get /media/{media_name}
openapi: 3.1.0
info:
  title: Telnyx Media Storage API
  version: 2.0.0
  description: API for Media storage.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /media/{media_name}:
    get:
      tags:
        - Media Storage API
      summary: Retrieve stored media
      description: Returns the information about a stored media file.
      operationId: GetMediaStorage
      parameters:
        - $ref: '#/components/parameters/MediaName'
      responses:
        '200':
          $ref: '#/components/responses/MediaResponse'
        '401':
          $ref: '#/components/responses/media-storage_GenericErrorResponse'
        '404':
          $ref: '#/components/responses/media-storage_GenericErrorResponse'
        default:
          $ref: '#/components/responses/media-storage_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const media = await client.media.retrieve('media_name');

            console.log(media.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            media = client.media.retrieve(
                "media_name",
            )
            print(media.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tmedia, err := client.Media.Get(context.TODO(), \"media_name\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", media.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.media.MediaRetrieveParams;
            import com.telnyx.sdk.models.media.MediaRetrieveResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    MediaRetrieveResponse media = client.media().retrieve("media_name");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            media = telnyx.media.retrieve("media_name")

            puts(media)
        - lang: CLI
          source: |-
            telnyx media retrieve \
              --api-key 'My API Key' \
              --media-name media_name
components:
  parameters:
    MediaName:
      name: media_name
      description: Uniquely identifies a media resource.
      in: path
      required: true
      schema:
        type: string
  responses:
    MediaResponse:
      description: A response describing a media resource
      content:
        application/json:
          schema:
            type: object
            title: Media resource response
            properties:
              data:
                $ref: '#/components/schemas/MediaResource'
    media-storage_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/media-storage_Errors'
  schemas:
    MediaResource:
      type: object
      title: Media Resource
      properties:
        media_name:
          description: Uniquely identifies a media resource.
          type: string
        expires_at:
          description: >-
            ISO 8601 formatted date of when the media resource will expire and
            be deleted.
          type: string
          example: '2020-01-23T18:10:02.574Z'
        created_at:
          type: string
          description: ISO 8601 formatted date of when the media resource was created
          example: '2019-01-23T18:10:02.574Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date of when the media resource was last updated
          example: '2019-01-23T18:10:02.574Z'
        content_type:
          type: string
          description: Content type of the file
          example: application/xml
      example:
        media_name: f5586561-8ff0-4291-a0ac-84fe544797bd
        expires_at: '2020-01-23T18:10:02.574Z'
        created_at: '2019-01-23T18:10:02.574Z'
        updated_at: '2019-01-23T18:10:02.574Z'
        content_type: application/xml
    media-storage_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/media-storage_Error'
      type: object
    media-storage_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````